# BEGIN SourceDeps(oneline):
BuildRequires: perl(LWP/Simple.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define fedora 19
Name:      afraid-dyndns
Version:   1.1
Release:   alt3_5
Summary:   A dynamic DNS client for the free service afraid.org
Group:     System/Servers
License:   GPLv3+
URL:       http://perl.arix.com
Source0:   ftp://arix.com/afraid-dyndns-%{version}.tar.gz
Patch:    %{name}.F10.patch
BuildArch: noarch
Source44: import.info

%description
This utility implements a client for the free afraid.org dynamic DNS
service. A cron job is set up to check whether the external IP address
has changed, and when it does, connects to afraid.org and updates the
DNS entries of all the domains of the given account.

%prep
%setup -q
%if 0%{?fedora} <= 10
%patch -p0 -b .orig
%endif

%build

%install
./install %{buildroot}

%files
%doc README LICENSE
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/afraid-dyndns.conf
%config(noreplace) %{_sysconfdir}/cron.d/afraid-dyndns
%dir %{_var}/cache/afraid-dyndns
%ghost %{_var}/cache/afraid-dyndns/IP

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt3_5
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt3_4
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_4
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_3
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_3
- converted for Sisyphus

